Bug 25642 - Technical notes are missing from the release (20.05)
Summary: Technical notes are missing from the release (20.05)
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-01 12:35 UTC by Martin Renvoize
Modified: 2020-11-11 10:46 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
20.11.00 20.05.01


Attachments
Bug 25642: Add technical notes (17.07 KB, patch)
2020-06-01 12:35 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25642: Add technical notes (17.13 KB, patch)
2020-06-02 21:00 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 25642: Fix description of new feature in update_dbix_class_files.pl (2.39 KB, patch)
2020-06-05 12:40 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 25642: Add technical notes (17.20 KB, patch)
2020-06-07 11:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25642: Fix description of new feature in update_dbix_class_files.pl (2.44 KB, patch)
2020-06-07 11:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-06-01 12:35:22 UTC
I inadvertently forgot to add the technical highlights notes into the release notes for the 20.05 release.

This bug serves to clone them from the notes on the website into the notes contained within the release itself.
Comment 1 Martin Renvoize 2020-06-01 12:35:52 UTC
Created attachment 105475 [details] [review]
Bug 25642: Add technical notes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 2 Martin Renvoize 2020-06-01 12:37:18 UTC
The output can be seen here: https://gitlab.com/koha-community/koha-release-notes/-/blob/mr_tests/release_notes_20_05_00.md
Comment 3 Bernardo Gonzalez Kriegel 2020-06-02 21:00:37 UTC
Created attachment 105505 [details] [review]
Bug 25642: Add technical notes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 4 Julian Maurice 2020-06-05 12:00:06 UTC
Maybe too late but,

> misc/devel/update_dbix_class_files.pl now defaults to using
> koha-conf.xml so you are not required to always append parameters now
> to run the script

This is not true. You have to use the --koha-conf option to get this behaviour.
Comment 5 Jonathan Druart 2020-06-05 12:35:11 UTC
Can you follow-up please? We can still update the website.
Comment 6 Julian Maurice 2020-06-05 12:40:00 UTC
Created attachment 105584 [details] [review]
Bug 25642: Fix description of new feature in update_dbix_class_files.pl
Comment 7 Katrin Fischer 2020-06-07 11:56:35 UTC
Created attachment 105612 [details] [review]
Bug 25642: Add technical notes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2020-06-07 11:56:38 UTC
Created attachment 105613 [details] [review]
Bug 25642: Fix description of new feature in update_dbix_class_files.pl

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Martin Renvoize 2020-06-08 14:28:06 UTC
Thanks for providing the followup Katrin, you beat me :)
Comment 10 Katrin Fischer 2020-06-08 14:36:52 UTC
I didn't - Julian did :)
Comment 11 Jonathan Druart 2020-06-15 10:00:52 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 12 Jonathan Druart 2020-06-18 15:06:23 UTC
backported (by Lucas) to 20.05.x for 20.05.01
Comment 13 Aleisha Amohia 2020-06-19 03:20:20 UTC
not backported to 19.11.x